On 7/10/26 3:42 PM, Alice Mikityanska wrote:
+WORKDIR=$(mktemp -d)
+trap cleanup EXIT
+setup
+for tunnel in vxlan geneve; do
+ for tun_family in 4 6; do
+ for traffic_family in 4 6; do
+ for csum_offload in on off; do
+ setup_tunnel "$tunnel" "$tun_family" "$csum_offload" || exit "$?"
+ do_test "$tun_family" "$traffic_family" "$csum_offload" || exit "$?"
+ cleanup_tunnel
+ done
+ done
+ done
+done
Not a blocker, but a possible follow-up: in the past a few GRO/GSO bugs
were detected only when performing GSO, GRO and again segmentation on
the same data before actual reception, see the "GSO after GRO" test-case
in udpgro_fwd.sh.
/P